Bug 228414 - textproc/py-rst2html: Fix conflict with textproc/py-docutils: bin/rst2html5{.py}
Summary: textproc/py-rst2html: Fix conflict with textproc/py-docutils: bin/rst2html5{.py}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-22 03:07 UTC by Kubilay Kocak
Modified: 2019-02-05 11:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2018-05-22 03:07:01 UTC
docutils 0.13.1 release included a new rst2html5 frontend, adding rst2html5{.py} to LOCALBASE/bin. This conflicts with files already packages with textproc/py-rst2html. [1][2]

Also affected (not currently packaged in FreeBSD Ports), the rst2html5-tools PyPI package [2].

[1] https://bitbucket.org/andre_felipe_dias/rst2html5/issues/27/
[2] https://github.com/getnikola/nikola/issues/2657
[3] https://github.com/marianoguerra/rst2html5/issues/87
Comment 1 commit-hook freebsd_committer 2018-05-22 05:15:35 UTC
A commit references this bug:

Author: koobs
Date: Tue May 22 05:15:28 UTC 2018
New revision: 470594
URL: https://svnweb.freebsd.org/changeset/ports/470594

Log:
  textproc/py-rst2html: Fix conflict with textproc/py-docutils

  docutils 0.13.1 release included a new rst2html5 frontend, adding
  rst2html5{.py} to LOCALBASE/bin. This conflicts with files already
  packages with textproc/py-rst2html [1][2], resulting in a packging error.

  Also affected (not currently packaged in FreeBSD Ports), is the
  rst2html5-tools PyPI package [2].

  Rename the conflicting script accordingly.

  While I'm here:

  - Fix *_DEPENDS versions to match upstream
  - Remove unecessary limit to Python 2.x
  - Enable concurrent installation

  [1] https://bitbucket.org/andre_felipe_dias/rst2html5/issues/27/
  [2] https://github.com/getnikola/nikola/issues/2657
  [3] https://github.com/marianoguerra/rst2html5/issues/87

  PR:		228414
  Reported by:	roflik (via IRC)
  Approved by:	koobs (python,  maintainer)
  MFH:		2018Q2

Changes:
  head/textproc/py-rst2html5/Makefile
  head/textproc/py-rst2html5/files/
  head/textproc/py-rst2html5/files/patch-setup.py
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-03 23:57:11 UTC
As time goes by, the MFH is done.

Don't why this PR is still listed in the "Problem reports for python@FreeBSD.org that need special attention" mail.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-02-05 11:52:44 UTC
Missed MFH window, ports r470594 is now in (latest) quarterly